Package org.apache.activemq.artemis.api.core.client

## Interface ClientSession.QueueQuery

- Enclosing interface:
    ClientSession

      public static interface ClientSession.QueueQuery

  Information returned by a queue query
  See Also:
    `ClientSession.queueQuery(SimpleString)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.activemq.artemis.api.core.SimpleString` | `getAddress()` | Returns the address that the queue is bound to.
    `java.lang.Long` | `getAutoDeleteDelay()` |
    `java.lang.Long` | `getAutoDeleteMessageCount()` |
    `int` | `getConsumerCount()` | Returns the number of consumers attached to the queue.
    `java.lang.Integer` | `getConsumersBeforeDispatch()` |
    `java.lang.Integer` | `getDefaultConsumerWindowSize()` |
    `java.lang.Long` | `getDelayBeforeDispatch()` |
    `org.apache.activemq.artemis.api.core.SimpleString` | `getFilterString()` | Returns the queue's filter string (or `null` if the queue has no filter).
    `java.lang.Integer` | `getGroupBuckets()` |
    `org.apache.activemq.artemis.api.core.SimpleString` | `getGroupFirstKey()` |
    `org.apache.activemq.artemis.api.core.SimpleString` | `getLastValueKey()` |
    `int` | `getMaxConsumers()` |
    `long` | `getMessageCount()` | Returns the number of messages in the queue.
    `org.apache.activemq.artemis.api.core.SimpleString` | `getName()` | Return the name of the queue
    `java.lang.Long` | `getRingSize()` |
    `org.apache.activemq.artemis.api.core.RoutingType` | `getRoutingType()` |
    `boolean` | `isAutoCreated()` |
    `boolean` | `isAutoCreateQueues()` | Returns `true` if auto-creation for this queue is enabled and if the queue queried is a JMS queue, `false` else.
    `java.lang.Boolean` | `isAutoDelete()` |
    `java.lang.Boolean` | `isConfigurationManaged()` |
    `boolean` | `isDurable()` | Returns `true` if the queue is durable, `false` else.
    `java.lang.Boolean` | `isEnabled()` |
    `java.lang.Boolean` | `isExclusive()` |
    `boolean` | `isExists()` | Returns `true` if the queue exists, `false` else.
    `java.lang.Boolean` | `isGroupRebalance()` |
    `java.lang.Boolean` | `isGroupRebalancePauseDispatch()` |
    `java.lang.Boolean` | `isLastValue()` |
    `java.lang.Boolean` | `isNonDestructive()` |
    `boolean` | `isPurgeOnNoConsumers()` |
    `boolean` | `isTemporary()` | Return `true` if the queue is temporary, `false` else.

- - ### Method Detail

    - #### isExists

          boolean isExists()

      Returns `true` if the queue exists, `false` else.

    - #### isTemporary

          boolean isTemporary()

      Return `true` if the queue is temporary, `false` else.

    - #### isDurable

          boolean isDurable()

      Returns `true` if the queue is durable, `false` else.

    - #### isAutoCreateQueues

          boolean isAutoCreateQueues()

      Returns `true` if auto-creation for this queue is enabled and if the queue queried is a JMS queue, `false` else.

    - #### getConsumerCount

          int getConsumerCount()

      Returns the number of consumers attached to the queue.

    - #### getMessageCount

          long getMessageCount()

      Returns the number of messages in the queue.

    - #### getFilterString

          org.apache.activemq.artemis.api.core.SimpleString getFilterString()

      Returns the queue's filter string (or `null` if the queue has no filter).

    - #### getAddress

          org.apache.activemq.artemis.api.core.SimpleString getAddress()

      Returns the address that the queue is bound to.

    - #### getName

          org.apache.activemq.artemis.api.core.SimpleString getName()

      Return the name of the queue
      Returns:

    - #### getRoutingType

          org.apache.activemq.artemis.api.core.RoutingType getRoutingType()

    - #### getMaxConsumers

          int getMaxConsumers()

    - #### isPurgeOnNoConsumers

          boolean isPurgeOnNoConsumers()

    - #### isAutoCreated

          boolean isAutoCreated()

    - #### isExclusive

          java.lang.Boolean isExclusive()

    - #### isLastValue

          java.lang.Boolean isLastValue()

    - #### getLastValueKey

          org.apache.activemq.artemis.api.core.SimpleString getLastValueKey()

    - #### isNonDestructive

          java.lang.Boolean isNonDestructive()

    - #### getConsumersBeforeDispatch

          java.lang.Integer getConsumersBeforeDispatch()

    - #### getDelayBeforeDispatch

          java.lang.Long getDelayBeforeDispatch()

    - #### getDefaultConsumerWindowSize

          java.lang.Integer getDefaultConsumerWindowSize()

    - #### isGroupRebalance

          java.lang.Boolean isGroupRebalance()

    - #### isGroupRebalancePauseDispatch

          java.lang.Boolean isGroupRebalancePauseDispatch()

    - #### getGroupBuckets

          java.lang.Integer getGroupBuckets()

    - #### getGroupFirstKey

          org.apache.activemq.artemis.api.core.SimpleString getGroupFirstKey()

    - #### isAutoDelete

          java.lang.Boolean isAutoDelete()

    - #### getAutoDeleteDelay

          java.lang.Long getAutoDeleteDelay()

    - #### getAutoDeleteMessageCount

          java.lang.Long getAutoDeleteMessageCount()

    - #### getRingSize

          java.lang.Long getRingSize()

    - #### isEnabled

          java.lang.Boolean isEnabled()

    - #### isConfigurationManaged

          java.lang.Boolean isConfigurationManaged()